#!/bin/bash

# ================================================================
export PATH="../rtf/bin:${PATH}"
g_total=0
g_passed=0
g_failed=0
g_PASSED=1
g_FAILED=0

# ================================================================
# Useful command.
# ================================================================
function docmd() {
    local cmd="$*"
    echo
    echo "# ================================================================"
    echo "# CMD: $cmd"
    echo "# PWD: "`pwd`
    echo "# ================================================================"
    $cmd
    local st=$?
    if (( $st )) ; then
        echo "EXIT: Command exited with status $st (FAILED)."
    else
        echo "EXIT: Command exited with status $st (PASSED)."
    fi
    g_status=$st
}

# ================================================================
# test-mgr
# ================================================================
function test-update() {
    local ok=$1
    g_total=$(( $g_total+1 ))
    if (( $ok )) ; then
	g_passed=$(( $g_passed+1 ))
	echo "# STATUS: PASSED"
    else
	g_failed=$(( $g_failed+1 ))
	echo "# STATUS: FAILED"
    fi
}

# ================================================================
# MAIN
# ================================================================
docmd jshint test01.js
if (( $g_status == 1 )) ; then
    test-update $g_PASSED
else
    test-update $g_FAILED
fi

docmd jshint test02.js
if (( $g_status == 1 )) ; then
    test-update $g_PASSED
else
    test-update $g_FAILED
fi

docmd jshint test02.js --config=/home/jlinoff/work/javascript/conf/std.conf

# ================================================================
# SUMMARY
# ================================================================
echo
echo "SUMMARY"
printf "   %-8s : %2d\n" 'total' $g_total
printf "   %-8s : %2d\n" 'passed' $g_passed
printf "   %-8s : %2d\n" 'failed' $g_failed


